#ifndef ATL_INSTINFO_H
   #define ATL_INSTINFO_H

#define ATL_ARCH "ARMv732NEON"
#define ATL_INSTFLAGS "-1 0 -a 1 -l 1"
#define ATL_F2CDEFS "-DAdd_ -DF77_INTEGER=int -DStringSunStyle"
#define ATL_ARCHDEFS "-DATL_OS_Linux -DATL_ARCH_ARMv7 -DATL_NEON -DATL_GAS_ARM"
#define ATL_DKCFLAGS "-O1 -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon -mfloat-abi=hard -fno-schedule-insns2 -DATL_ARM_HARDFP=1 -g -Wa,--noexecstack -fPIC"
#define ATL_DKC "/usr/bin/armv7hl-mageia-linux-gnueabi-gcc"
#define ATL_SKCFLAGS "-O1 -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon -mfloat-abi=hard -fno-expensive-optimizations -DATL_ARM_HARDFP=1 -g -Wa,--noexecstack -fPIC"
#define ATL_SKC "/usr/bin/armv7hl-mageia-linux-gnueabi-gcc"
#define ATL_DMCFLAGS "-O1 -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon -mfloat-abi=hard -fno-schedule-insns2 -DATL_ARM_HARDFP=1 -g -Wa,--noexecstack -fPIC"
#define ATL_DMC "/usr/bin/armv7hl-mageia-linux-gnueabi-gcc"
#define ATL_SMCFLAGS "-O1 -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon -mfloat-abi=hard -fno-expensive-optimizations -DATL_ARM_HARDFP=1 -g -Wa,--noexecstack -fPIC"
#define ATL_SMC "/usr/bin/armv7hl-mageia-linux-gnueabi-gcc"
#define ATL_ICCFLAGS "-DL2SIZE=4194304 -I/root/rpmbuild/BUILD/ATLAS/arm_arm/include -I/root/rpmbuild/BUILD/ATLAS/arm_arm/..//include -I/root/rpmbuild/BUILD/ATLAS/arm_arm/..//include/contrib -DAdd_ -DF77_INTEGER=int -DStringSunStyle -DATL_OS_Linux -DATL_ARCH_ARMv7 -DATL_NEON -DATL_GAS_ARM -DWALL -DATL_NCPU=2 -O1 -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon -mfloat-abi=hard -fno-expensive-optimizations -DATL_ARM_HARDFP=1 -g -Wa,--noexecstack -fPIC"
#define ATL_ICC "/usr/bin/armv7hl-mageia-linux-gnueabi-gcc"
#define ATL_F77FLAGS "-mcpu=cortex-a8 -mfpu=neon -mfloat-abi=hard -O -DATL_ARM_HARDFP=1 -g -Wa,--noexecstack -fPIC"
#define ATL_F77 "/usr/bin/gfortran"
#define ATL_DKCVERS "armv7hl-mageia-linux-gnueabi-gcc (GCC) 5.4.0"
#define ATL_SKCVERS "armv7hl-mageia-linux-gnueabi-gcc (GCC) 5.4.0"
#define ATL_DMCVERS "armv7hl-mageia-linux-gnueabi-gcc (GCC) 5.4.0"
#define ATL_SMCVERS "armv7hl-mageia-linux-gnueabi-gcc (GCC) 5.4.0"
#define ATL_ICCVERS "armv7hl-mageia-linux-gnueabi-gcc (GCC) 5.4.0"
#define ATL_F77VERS "GNU Fortran (GCC) 5.4.0"
#define ATL_SYSINFO "Linux armalamain 4.1.17-v7+ #838 SMP Tue Feb 9 13:15:09 GMT 2016 armv7l armv7l armv7l GNU/Linux"
#define ATL_DATE    "Fri Sep 23 08:44:28 UTC 2016"
#define ATL_UNAM    "root"
#define ATL_VERS    "3.10.2"

#endif
